(add-to-list 'load-path "~/.emacs.d/el-get/org-mode/lisp")
(require 'org-install)
(call-interactively 'emacs-version)
(call-interactively 'org-version)
(setq org-agenda-files '("~/tmp/tags-test/test.org"))
(setq org-todo-keywords
      '(
	(sequence "TODO(t!)" "POSTPONED(p@/!)" "VERIFY(v@/!)" "ERRANDS(E!)" "|" "COMPLETED(c!)" "DONE(d!)") ; TODOs
	(sequence "PLANNING(n!)" "WIP(w!/!)" "INACTIVE(i!)" "BLOCKED(b!)" "|" "COMPLETED(c!)")              ; Projects
	)
      )

(setq org-agenda-custom-commands
      '(
	("b" "Test Block Agenda"
	 (
	  (tags-todo "+Outcome+PRIORITY=\"A\"+LEVEL=4-{.*Backlog$}"
		     (
		      (org-agenda-skip-function '(org-agenda-skip-entry-if 'todo '("POSTPONED" "VERIFY" "INACTIVE" "BLOCKED" "ERRANDS" "TODO" "WILL_DO"))) ;; skip Task states, projects only
		      )
		     )))
	("t" "Test Non-Block Agenda"
	 tags-todo "+Outcome+PRIORITY=\"A\"+LEVEL=4-{.*Backlog$}"
	 (
	  (org-agenda-skip-function '(org-agenda-skip-entry-if 'todo '("POSTPONED" "VERIFY" "INACTIVE" "BLOCKED" "ERRANDS" "TODO" "WILL_DO"))) ;; skip Task states, projects only
	  )
	 )))
